Commit c78ed73e authored by Uwe Schulzweida's avatar Uwe Schulzweida
Browse files

Fortran2003

parent 9845b1c9
......@@ -4,4 +4,6 @@ SUBDIRS = src app examples tests
#
EXTRA_DIST=config/default doc/cdi_cman.pdf doc/cdi_fman.pdf src/cfortran.doc
#
ACLOCAL_AMFLAGS = -I m4
#
CLEANFILES = `ls *~`
......@@ -39,8 +39,8 @@ DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
config/depcomp config/install-sh config/missing \
config/mkinstalldirs
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
$(top_srcdir)/configure.ac
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_sl_mod_suffix.m4 \
$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
......@@ -96,6 +96,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FC = @FC@
FCFLAGS = @FCFLAGS@
FCMODEXT = @FCMODEXT@
FFLAGS = @FFLAGS@
GREP = @GREP@
INSTALL = @INSTALL@
......@@ -128,6 +130,7 @@ abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_F77 = @ac_ct_F77@
ac_ct_FC = @ac_ct_FC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
......@@ -182,6 +185,8 @@ SUBDIRS = src app examples tests
#
EXTRA_DIST = config/default doc/cdi_cman.pdf doc/cdi_fman.pdf src/cfortran.doc
#
ACLOCAL_AMFLAGS = -I m4
#
CLEANFILES = `ls *~`
all: all-recursive
......
......@@ -872,4 +872,5 @@ AC_SUBST([am__tar])
AC_SUBST([am__untar])
]) # _AM_PROG_TAR
m4_include([m4/acx_sl_mod_suffix.m4])
m4_include([acinclude.m4])
......@@ -38,8 +38,8 @@ noinst_PROGRAMS = createtable$(EXEEXT)
subdir = app
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
$(top_srcdir)/configure.ac
am__aclocal_m4_deps = $(top_srcdir)/m4/acx_sl_mod_suffix.m4 \
$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
......@@ -90,6 +90,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FC = @FC@
FCFLAGS = @FCFLAGS@
FCMODEXT = @FCMODEXT@
FFLAGS = @FFLAGS@
GREP = @GREP@
INSTALL = @INSTALL@
......@@ -122,6 +124,7 @@ abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_CC = @ac_ct_CC@
ac_ct_F77 = @ac_ct_F77@
ac_ct_FC = @ac_ct_FC@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
......
......@@ -710,7 +710,12 @@ RANLIB
CPP
GREP
EGREP
CREATE_ISOC_TRUE
CREATE_ISOC_FALSE
FC
FCFLAGS
ac_ct_FC
FCMODEXT
LIBOBJS
LTLIBOBJS'
ac_subst_files=''
......@@ -726,7 +731,10 @@ LIBS
CPPFLAGS
F77
FFLAGS
CPP'
CPP
FC
FCFLAGS
FCMODEXT'
# Initialize some variables set by options.
......@@ -1311,6 +1319,10 @@ Optional Features:
--enable-dependency-tracking do not reject slow dependency extractors
--disable-largefile omit support for large files
--enable-grib GRIB support [default=yes]
--enable-iso-c-interface
Create Fortran Interface via iso_c_bindings facility
of F2003 [default=no].
--enable-dap Build OPeNDAP/DODS-enabled clients if possible
[default=no]
......@@ -1355,6 +1367,9 @@ Some influential environment variables:
F77 Fortran 77 compiler command
FFLAGS Fortran 77 compiler flags
CPP C preprocessor
FC Fortran compiler command
FCFLAGS Fortran compiler flags
FCMODEXT file extension of compiled Fortran module files
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
......@@ -6316,6 +6331,386 @@ echo $ECHO_N "checking for SERVICE support... $ECHO_C" >&6; }
{ echo "$as_me:$LINENO: result: $with_service" >&5
echo "${ECHO_T}$with_service" >&6; }
# ----------------------------------------------------------------------
# Create the Fortran Interface via iso_c_binding module (Fortran 2003 Standard)
#
# Check whether --enable-iso-c-interface was given.
if test "${enable_iso_c_interface+set}" = set; then
enableval=$enable_iso_c_interface; enable_isoc=${enableval}
else
enable_isoc=no
fi
if test $enable_isoc = 'yes'; then
CREATE_ISOC_TRUE=
CREATE_ISOC_FALSE='#'
else
CREATE_ISOC_TRUE='#'
CREATE_ISOC_FALSE=
fi
if test "${enable_isoc}" = "yes"; then
ac_ext=${ac_fc_srcext-f}
ac_compile='$FC -c $FCFLAGS $ac_fcflags_srcext conftest.$ac_ext >&5'
ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $ac_fcflags_srcext conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_fc_compiler_gnu
if test -n "$ac_tool_prefix"; then
for ac_prog in gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn xlf90 f90 pgf90 pghpf epcf90 g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77
do
# Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
set dummy $ac_tool_prefix$ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_FC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$FC"; then
ac_cv_prog_FC="$FC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_FC="$ac_tool_prefix$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
fi
fi
FC=$ac_cv_prog_FC
if test -n "$FC"; then
{ echo "$as_me:$LINENO: result: $FC" >&5
echo "${ECHO_T}$FC" >&6; }
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
test -n "$FC" && break
done
fi
if test -z "$FC"; then
ac_ct_FC=$FC
for ac_prog in gfortran g95 xlf95 f95 fort ifort ifc efc pgf95 lf95 ftn xlf90 f90 pgf90 pghpf epcf90 g77 xlf f77 frt pgf77 cf77 fort77 fl32 af77
do
# Extract the first word of "$ac_prog", so it can be a program name with args.
set dummy $ac_prog; ac_word=$2
{ echo "$as_me:$LINENO: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; }
if test "${ac_cv_prog_ac_ct_FC+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
if test -n "$ac_ct_FC"; then
ac_cv_prog_ac_ct_FC="$ac_ct_FC" # Let the user override the test.
else
as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
IFS=$as_save_IFS
test -z "$as_dir" && as_dir=.
for ac_exec_ext in '' $ac_executable_extensions; do
if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_test_x "$as_dir/$ac_word$ac_exec_ext"; }; then
ac_cv_prog_ac_ct_FC="$ac_prog"
echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
break 2
fi
done
done
IFS=$as_save_IFS
fi
fi
ac_ct_FC=$ac_cv_prog_ac_ct_FC
if test -n "$ac_ct_FC"; then
{ echo "$as_me:$LINENO: result: $ac_ct_FC" >&5
echo "${ECHO_T}$ac_ct_FC" >&6; }
else
{ echo "$as_me:$LINENO: result: no" >&5
echo "${ECHO_T}no" >&6; }
fi
test -n "$ac_ct_FC" && break
done
if test "x$ac_ct_FC" = x; then
FC=""
else
case $cross_compiling:$ac_tool_warned in
yes:)
{ echo "$as_me:$LINENO: WARNING: In the future, Autoconf will not detect cross-tools
whose name does not start with the host triplet. If you think this
configuration is useful to you, please write to autoconf@gnu.org." >&5
echo "$as_me: WARNING: In the future, Autoconf will not detect cross-tools
whose name does not start with the host triplet. If you think this
configuration is useful to you, please write to autoconf@gnu.org." >&2;}
ac_tool_warned=yes ;;
esac
FC=$ac_ct_FC
fi
fi
# Provide some information about the compiler.
echo "$as_me:$LINENO: checking for Fortran compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (ac_try="$ac_compiler --version >&5"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compiler --version >&5") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
{ (ac_try="$ac_compiler -v >&5"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compiler -v >&5") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
{ (ac_try="$ac_compiler -V >&5"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compiler -V >&5") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }
rm -f a.out
# If we don't use `.F' as extension, the preprocessor is not run on the
# input file. (Note that this only needs to work for GNU compilers.)
ac_save_ext=$ac_ext
ac_ext=F
{ echo "$as_me:$LINENO: checking whether we are using the GNU Fortran compiler" >&5
echo $ECHO_N "checking whether we are using the GNU Fortran compiler... $ECHO_C" >&6; }
if test "${ac_cv_fc_compiler_gnu+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >conftest.$ac_ext <<_ACEOF
program main
#ifndef __GNUC__
choke me
#endif
end
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_fc_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_compiler_gnu=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_compiler_gnu=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
ac_cv_fc_compiler_gnu=$ac_compiler_gnu
fi
{ echo "$as_me:$LINENO: result: $ac_cv_fc_compiler_gnu" >&5
echo "${ECHO_T}$ac_cv_fc_compiler_gnu" >&6; }
ac_ext=$ac_save_ext
ac_test_FFLAGS=${FCFLAGS+set}
ac_save_FFLAGS=$FCFLAGS
FCFLAGS=
{ echo "$as_me:$LINENO: checking whether $FC accepts -g" >&5
echo $ECHO_N "checking whether $FC accepts -g... $ECHO_C" >&6; }
if test "${ac_cv_prog_fc_g+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
FCFLAGS=-g
cat >conftest.$ac_ext <<_ACEOF
program main
end
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_fc_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_cv_prog_fc_g=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_prog_fc_g=no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
fi
{ echo "$as_me:$LINENO: result: $ac_cv_prog_fc_g" >&5
echo "${ECHO_T}$ac_cv_prog_fc_g" >&6; }
if test "$ac_test_FFLAGS" = set; then
FCFLAGS=$ac_save_FFLAGS
elif test $ac_cv_prog_fc_g = yes; then
if test "x$ac_cv_fc_compiler_gnu" = xyes; then
FCFLAGS="-g -O2"
else
FCFLAGS="-g"
fi
else
if test "x$ac_cv_fc_compiler_gnu" = xyes; then
FCFLAGS="-O2"
else
FCFLAGS=
fi
fi
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
else
FC=$F77
fi
# Check the module extension of the fortran compiler
{ echo "$as_me:$LINENO: checking for suffix of module files" >&5
echo $ECHO_N "checking for suffix of module files... $ECHO_C" >&6; }
ac_fc_mod_uppercase=no
ac_ext=${ac_fc_srcext-f}
ac_compile='$FC -c $FCFLAGS $ac_fcflags_srcext conftest.$ac_ext >&5'
ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $ac_fcflags_srcext conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_fc_compiler_gnu
cat >conftest.$ac_ext <<_ACEOF
module conftest
implicit none
integer :: i
end module conftest
_ACEOF
rm -f conftest.$ac_objext
if { (ac_try="$ac_compile"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_compile") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_fc_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
:
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
while :; do
acx_fc_mod_name=
if test -n "conftest.$FCMODEXT" -a -f "conftest.$FCMODEXT"; then
acx_fc_mod_name="conftest.$FCMODEXT" ; break
fi
if test -n "conftest.mod" -a -f "conftest.mod"; then
acx_fc_mod_name="conftest.mod" ; break
fi
if test -n "conftest.MOD" -a -f "conftest.MOD"; then
acx_fc_mod_name="conftest.MOD" ; break
fi
if test -n "conftest.M" -a -f "conftest.M"; then
acx_fc_mod_name="conftest.M" ; break
fi
if test -n "CONFTEST.MOD" -a -f "CONFTEST.MOD"; then
acx_fc_mod_name="CONFTEST.MOD" ; break
fi
break
done
rm -f conftest*
ac_ext=c
ac_cpp='$CPP $CPPFLAGS'
ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
ac_compiler_gnu=$ac_cv_c_compiler_gnu
case "$acx_fc_mod_name" in
conftest.$FCMODEXT) : ;;
CONFTEST.$FCMODEXT) ac_fc_mod_uppercase=yes ;;
conftest.mod) FCMODEXT=mod ;;
conftest.MOD) FCMODEXT=MOD ;;
conftest.M) FCMODEXT=M ;;
CONFTEST.MOD) FCMODEXT=MOD
ac_fc_mod_uppercase=yes ;;
esac
{ echo "$as_me:$LINENO: result: ${FCMODEXT-not found}" >&5
echo "${ECHO_T}${FCMODEXT-not found}" >&6; }
test "${FCMODEXT+set}" = set
if test $ac_fc_mod_uppercase = yes; then
{ echo "$as_me:$LINENO: Fortran module filenames are uppercase." >&5
echo "$as_me: Fortran module filenames are uppercase." >&6;}
fi
# ----------------------------------------------------------------------
# Compile interface with internal EXTRA library
#
......@@ -7072,8 +7467,6 @@ fi
FC=$F77
......@@ -7190,6 +7583,13 @@ echo "$as_me: error: conditional \"am__fastdepCC\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
if test -z "${CREATE_ISOC_TRUE}" && test -z "${CREATE_ISOC_FALSE}"; then
{ { echo "$as_me:$LINENO: error: conditional \"CREATE_ISOC\" was never defined.
Usually this means the macro was only invoked conditionally." >&5
echo "$as_me: error: conditional \"CREATE_ISOC\" was never defined.
Usually this means the macro was only invoked conditionally." >&2;}
{ (exit 1); exit 1; }; }
fi
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
......@@ -7822,7 +8222,7 @@ RANLIB!$RANLIB$ac_delim
CPP!$CPP$ac_delim
GREP!$GREP$ac_delim
EGREP!$EGREP$ac_delim
FC!$FC$ac_delim
CREATE_ISOC_TRUE!$CREATE_ISOC_TRUE$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
......@@ -7864,11 +8264,16 @@ _ACEOF
ac_delim='%!_!# '
for ac_last_try in false false false false false :; do
cat >conf$$subs.sed <<_ACEOF
CREATE_ISOC_FALSE!$CREATE_ISOC_FALSE$ac_delim
FC!$FC$ac_delim
FCFLAGS!$FCFLAGS$ac_delim
ac_ct_FC!$ac_ct_FC$ac_delim
FCMODEXT!$FCMODEXT$ac_delim
LIBOBJS!$LIBOBJS$ac_delim
LTLIBOBJS!$LTLIBOBJS$ac_delim
_ACEOF
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 2; then
if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 7; then
break
elif $ac_last_try; then
{ { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
......
......@@ -188,6 +188,22 @@ fi
AC_MSG_CHECKING([for SERVICE support])
AC_MSG_RESULT($with_service)
# ----------------------------------------------------------------------
# Create the Fortran Interface via iso_c_binding module (Fortran 2003 Standard)
#
AC_ARG_ENABLE(iso-c-interface,
AS_HELP_STRING([--enable-iso-c-interface],
[Create Fortran Interface via iso_c_bindings facility of F2003 [[default=no]]]).
,enable_isoc=${enableval},enable_isoc=no)
AM_CONDITIONAL([CREATE_ISOC],[test $enable_isoc = 'yes'])
if test "${enable_isoc}" = "yes"; then
AC_PROG_FC
else
AC_SUBST([FC],$F77)
fi
# Check the module extension of the fortran compiler
ACX_SL_FC_MOD_SUFFIX(,[FCMODEXT=mod])
# ----------------------------------------------------------------------
# Compile interface with internal EXTRA library
#
......@@ -327,7 +343,6 @@ esac
# Check C / Fortran interface
UD_CHECK_CFINT([$srcdir/src/cfortran.h])
AC_SUBST([FC],$F77)
AC_SUBST([CFINT])
AC_SUBST([CPPFLAGS])
AC_SUBST([AR])
......
\begin{thebibliography}{xx}
\label{ECHAM}
\bibitem[ECHAM]{ECHAM} \ \\
\href{http://www.mpimet.mpg.de/wissenschaft/publikationen/reports.html}
{The atmospheric general circulation model ECHAM5},
......@@ -8,29 +7,24 @@
\href{http://www.mpimet.mpg.de}
{Max Planck Institute for Meteorologie}
\label{GRIB}
\bibitem[GRIB]{GRIB} \ \\
\href{http://www.wmo.ch/web/www/WMOCodes/Guides/GRIB/GRIB1-Contents.html}
{GRIB version 1},
from the World Meteorological Organisation
(\href{http://www.wmo.ch}{WMO})
\label{NetCDF}
\bibitem[NetCDF]{NetCDF} \ \\
\href{http://www.unidata.ucar.edu/packages/netcdf/index.html}{NetCDF Software Package},
from the
\href{http://www.unidata.ucar.edu}{UNIDATA}
Program Center of the University Corporation for Atmospheric Research
\label{MPIOM}
\bibitem[MPIOM]{MPIOM} \ \\
The ocean model MPIOM,
from the
\href{http://www.mpimet.mpg.de}
{Max Planck Institute for Meteorologie}
\label{REMO}
\bibitem[REMO]{REMO} \ \\
The regional climate model REMO,
from the
......
This diff is collapsed.
\documentclass[DIV16,BCOR1cm,11pt,a4paper,fleqn,twoside]{scrreprt} % for pdf output
%\documentclass[DIV16,BCOR1cm,11pt,a4paper,fleqn]{report} % for pdf output